Package org.jbpm.workflow.core.impl

## Class ConstraintImpl

- java.lang.Object
- - org.jbpm.workflow.core.impl.ConstraintImpl

- All Implemented Interfaces:
    `Serializable`, `Constraint`

      public class ConstraintImpl
      extends Object
      implements Constraint, Serializable

  Default implementation of a constraint.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getConstraint()` | Typically this method returns the constraint as a String
    `String` | `getDialect()` | Returns the dialect of the constraint, e.g.
    `Object` | `getMetaData​(String name)` |
    `String` | `getName()` | Returns the name of the constraint
    `int` | `getPriority()` | Returns the priority of the constraint
    `String` | `getType()` | Returns the type of the constraint, e.g.
    `boolean` | `isDefault()` |
    `void` | `setConstraint​(String constraint)` | Method for setting the constraint
    `void` | `setDefault​(boolean isDefault)` |
    `void` | `setDialect​(String dialect)` | Method for setting the dialect of the constraint, e.g.
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` | Sets the name of the constraint
    `void` | `setPriority​(int priority)` | Method for setting the priority of the constraint
    `void` | `setType​(String type)` | Method for setting the type of the constraint, e.g.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintImpl

          public ConstraintImpl()

  - ### Method Detail

    - #### getConstraint

          public String getConstraint()

      Description copied from interface: `Constraint`
      Typically this method returns the constraint as a String
      Specified by:
        `getConstraint` in interface `Constraint`
      Returns:
        the constraint

    - #### setConstraint

          public void setConstraint​(String constraint)

      Description copied from interface: `Constraint`
      Method for setting the constraint
      Specified by:
        `setConstraint` in interface `Constraint`
      Parameters:
        `constraint` - the constraint

    - #### getName

          public String getName()

      Description copied from interface: `Constraint`
      Returns the name of the constraint
      Specified by:
        `getName` in interface `Constraint`
      Returns:
        the name of the constraint

    - #### setName

          public void setName​(String name)

      Description copied from interface: `Constraint`
      Sets the name of the constraint
      Specified by:
        `setName` in interface `Constraint`
      Parameters:
        `name` - the name of the constraint

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPriority

          public int getPriority()

      Description copied from interface: `Constraint`
      Returns the priority of the constraint
      Specified by:
        `getPriority` in interface `Constraint`
      Returns:
        the priority of the constraint

    - #### setPriority

          public void setPriority​(int priority)

      Description copied from interface: `Constraint`
      Method for setting the priority of the constraint
      Specified by:
        `setPriority` in interface `Constraint`
      Parameters:
        `priority` - the priority of the constraint

    - #### getDialect

          public String getDialect()

      Description copied from interface: `Constraint`
      Returns the dialect of the constraint, e.g. "mvel" or "java"
      Specified by:
        `getDialect` in interface `Constraint`
      Returns:
        the dialect of the constraint

    - #### setDialect

          public void setDialect​(String dialect)

      Description copied from interface: `Constraint`
      Method for setting the dialect of the constraint, e.g. "mvel" or "java"
      Specified by:
        `setDialect` in interface `Constraint`
      Parameters:
        `dialect` - the dialect of the constraint

    - #### getType

          public String getType()

      Description copied from interface: `Constraint`
      Returns the type of the constraint, e.g. "code" or "rule"
      Specified by:
        `getType` in interface `Constraint`
      Returns:
        the type of the constraint

    - #### setType

          public void setType​(String type)

      Description copied from interface: `Constraint`
      Method for setting the type of the constraint, e.g. "code" or "rule"
      Specified by:
        `setType` in interface `Constraint`
      Parameters:
        `type` - the type of the constraint

    - #### isDefault

          public boolean isDefault()

      Specified by:
        `isDefault` in interface `Constraint`

    - #### setDefault

          public void setDefault​(boolean isDefault)

      Specified by:
        `setDefault` in interface `Constraint`

    - #### setMetaData

          public void setMetaData​(String name,
                                  Object value)

      Specified by:
        `setMetaData` in interface `Constraint`

    - #### getMetaData

          public Object getMetaData​(String name)

      Specified by:
        `getMetaData` in interface `Constraint`